com.hazelcast.spi

## Interface BackupAwareOperation

- All Superinterfaces:
    PartitionAwareOperation
  All Known Implementing Classes:
    AbstractAlterOperation, AbstractAlterOperation, AcquireOperation, AddAndGetOperation, AlterAndGetOperation, AlterAndGetOperation, AlterOperation, AlterOperation, AtomicLongBackupAwareOperation, AtomicReferenceBackupAwareOperation, AwaitOperation, BeforeAwaitOperation, CompareAndSetOperation, CompareAndSetOperation, CountDownOperation, DrainOperation, GetAndAddOperation, GetAndAlterOperation, GetAndAlterOperation, GetAndSetOperation, GetAndSetOperation, IncreaseOperation, InitOperation, LocalLockCleanupOperation, LockOperation, MergeOperation, MergeOperation, ReduceOperation, ReleaseOperation, SemaphoreBackupAwareOperation, SemaphoreDetachMemberOperation, SetAndGetOperation, SetCountOperation, SetOperation, SetOperation, SignalOperation, UnlockIfLeaseExpiredOperation, UnlockOperation

      public interface BackupAwareOperation
      extends PartitionAwareOperation

  A BackupAwareOperation is an Operation to indicate then when a change is made, a `BackupOperation` is created to replicate the backup.
  Author:
    mdogan 12/6/12

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAsyncBackupCount()` The asynchronous backup count.
    `Operation` | `getBackupOperation()` Creates the `BackupOperation` responsible for making the backup.
    `int` | `getSyncBackupCount()` The synchronous backup count.
    `boolean` | `shouldBackup()` Checks if a backup needs to be made.

    - ### Methods inherited from interface com.hazelcast.spi.PartitionAwareOperation

      `getPartitionId`

- - ### Method Detail

    - #### shouldBackup

          boolean shouldBackup()

      Checks if a backup needs to be made.

      If a call has not made any change, e.g. an AtomicLong increment with 0, no backup needs to be made.
      Returns:
        true if a backup needs to be made, false otherwise.

    - #### getSyncBackupCount

          int getSyncBackupCount()

      The synchronous backup count. If no backups need to be made, 0 is returned.
      Returns:
        the synchronous backup count.

    - #### getAsyncBackupCount

          int getAsyncBackupCount()

      The asynchronous backup count. If no asynchronous backups need to be made, 0 is returned.
      Returns:
        the asynchronous backup count.

    - #### getBackupOperation

          Operation getBackupOperation()

      Creates the `BackupOperation` responsible for making the backup.
      Returns:
        the created `BackupOperation` responsible for making the backup.

Copyright © 2019. All rights reserved.